Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## ru.rsdn.patterns.mvc.view
Class ListView<P>

    java.lang.Object
      ru.rsdn.patterns.mvc.view.AbstractView<ListModel<P>,java.util.Collection<Model<P>>>
          ru.rsdn.patterns.mvc.view.ListView<P>

Type Parameters:
  `P` - свойство модели

All Implemented Interfaces:
  IModelSubscriber<java.util.Collection<Model<P>>>

Direct Known Subclasses:
  ListSwitchView

    public abstract class ListView<P>

extends AbstractView<ListModel<P>,java.util.Collection<Model<P>>>

Представление списка

Constructor Summary
`ListView()`

Method Summary
`protected void` | `add(java.util.Collection<Model<P>> models)` Добавить модели
`protected void` | `add(Model<P> model)` Добавить модель
`protected void` | `delete(java.util.Collection<Model<P>> models)` Удалить модели
`protected void` | `delete(Model<P> model)` Удалить модель

Methods inherited from class ru.rsdn.patterns.mvc.view.AbstractView
`getController, getModel, redo, setModel, undo, unsubscribe`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface ru.rsdn.patterns.mvc.model.IModelSubscriber
`modelChanged`

Constructor Detail

### ListView

    public ListView()

Method Detail

### add

    protected void add(Model<P> model)

  Добавить модель

  Parameters:
    `model` - модель

### add

    protected void add(java.util.Collection<Model<P>> models)

  Добавить модели

  Parameters:
    `models` - модели

### delete

    protected void delete(Model<P> model)

  Удалить модель

  Parameters:
    `model` - модель

### delete

    protected void delete(java.util.Collection<Model<P>> models)

  Удалить модели

  Parameters:
    `models` - модели

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD